// src/backend/static_sub_request.cc - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "static_sub_request.hh"
#include <cstddef>
#include <cassert>

using namespace sgpem;

StaticSubRequest::StaticSubRequest(StaticRequest* req,
                                   StaticResource* resource,
                                   unsigned int length,
                                   unsigned int places) :
    _static_request(req), _static_resource(resource),
    _length(length), _places(places)
{
  assert(req != NULL && resource != NULL);
}

StaticResource&
StaticSubRequest::get_static_resource()
{
  return *_static_resource;
}

StaticRequest&
StaticSubRequest::get_static_request()
{
  return *_static_request;
}

unsigned int
StaticSubRequest::get_places() const
{
  return _places;
}

unsigned int
StaticSubRequest::get_length() const
{
  return _length;
}

